Kwalitee Issues

prereq_matches_use

List all used modules in META.yml requires

Error:

  • parent

use_strict

Add 'use strict' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules are strictly written.

Error: Perinci, Perinci::Util

no_unauthorized_packages

Ask the owner of the distribution (the one who released it first, or the one who is designated in x_authority) to give you a (co-)maintainer's permission.

Error:

  • Perinci
  • Perinci::Access
  • Perinci::Access::Base
  • Perinci::Result::Format
  • Perinci::Sub::dep::pm
  • Perinci::Tx::Manager

test_prereq_matches_use

List all modules used in the test suite in META.yml test_requires

Error:

  • Perinci::Sub::DepChecker

use_warnings

Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: Perinci, Perinci::Util

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

Modules

Name Abstract Version View
Perinci Collection of Perl modules for Rinci and Riap 0.21 metacpan
Perinci::Access Wrapper for Perinci Riap clients 0.21 metacpan
Perinci::Access::Base Base class for Perinci Riap clients 0.21 metacpan
Perinci::Access::InProcess Handle transaction-/undo-related Riap requests 0.21 metacpan
Perinci::Access::InProcess::MetaAccessor Default class to access metadata in 0.21 metacpan
Perinci::Result::Format Format envelope result 0.21 metacpan
Perinci::Sub::dep::pm Depend on a Perl module 0.21 metacpan
Perinci::Tx::Manager Transaction manager 0.21 metacpan
Perinci::Util Utility routines 0.21 metacpan

Other Files

Build.PL metacpan
Changes metacpan
MANIFEST metacpan
META.json metacpan
META.yml metacpan
README metacpan
dist.ini metacpan